15.12.2025
--Исправлена обибка при открытии ehf файла

30.10.2025
--Исправлено отображение на закладке графики выбора диаграм Т инверт1 и т.п.

09.10.2025
--Исправлен вывод данных в Excel файл. 
--Вывод информации о пакете соглано настройки конфигурационном файле

04.09.2025
--Исправлена ошибка при сохранении "Уставки в формат set"
--Добавлена закладка суточный с накоплением. Подсчет сумм значений показаний в разрезе каждых суткок.

25.07.2025
--Не верное отображение графиков счетчика электроэнергии. Добавлена настройка коррекции отображения данных

30.06.2025
--Расширено ведение лога

10.04.2025 
--Исправлена работа кнопки сохранения настройки параметров отображения
--В журнале отображалась не верная информация о порте
--Возникала ошибка при выборе "Ассоциировать файлы журнала событий в реестре ОС"
--Доработка поиска папки по умолчанию \Configs файлы
--Исправление работы с битыми архивами. Если в архиве присутсвуют null сиволе. Файл был неправильно записан.
--Исправлено Процесс открытия файла не завершается
--Исправления по пакетам коорые не октрывались.

13.02.2025
--Исправлена ошибка отрисовки графиков на вкладке График
--Исправлена ошибка  получения цвета для графиков и надписи выбора графиков
--Исправлена работа с битыми архивами

17.01.2025
--Исправлено отображение графиков при выборе конкреной величины на закладке "Графики".
--Отображение графиков за период. Не работала из-за пункты выше.
--Авто конфигурация. Доработана. Пудо довабляется есил его нет при старте программы.
--Ассоциировать файлы журнала событий в реестре ОС
--Исправлено отображение Заводской номер СУ 

15.01.2025
--Проект собирается в один exe файл
--Исправлены ошибки работы со вкладками. Переход на не существующую вкладку


20.12.2024
--Улучено, расширено, добавлено ведение логов. 
--Увеличина производительность
--Подбор размера ширины столбца улучшена
--Фильтр по столбцу добавлен пункт "Содержит"
--исправлены ошибки при обработки ehf файлов

12.11.2024
-Исправлена работа графика - "Пусковые характеристики"
-Исправлено. Посел окончания чтения пакета открывается закладка "Журнал"
-Отрицательные числа. Если число соответвует занчению 0xffff и 0xfffe будут отображаться "###". Для отрицательных чисел (всех форматов) = 0x8000 будут отображаться "###"
-Вывод температуры с десятими занком после запятой.

03.10.2024
 - Добавлено обработка значений соответвующих ошибке в рабте 0xfffe

23.09.2024
- Исправлено отображение в журнале пуск и стоп
- Не открывались архивы
- Если число соответвует занчению 0xffff и 0xfffe будут отображаться "###". Для отрицательных чисел (всех форматов) = 0x8000 будут отображаться "###"
- Увеличена производительность приложения. Ускорен - старт программы, обратотка данных в конфигурационном файле и загрузка данных в журналы.

17.07.2024 Etalon_AVS ver 0.6.6.19
- Устранена ошибка переключении языка
- Реализован подбор ширины столбцов
- Добавлена работа с отрицательными числами <format_id>37,41,42
- Повышена производительность

08.06.2012 Etalon_AVS ver 0.5.5.4
- При создании фильтров введен выбор существующих значений и списка
- Введена фильтрация по периоду времени
- Введено соответствие названия диаграмм вкладки «Диаграммы» п.3.4.9.4
- приведены все единицы измерения в соответствие с КП

07.06.2012 Etalon_AVS ver 0.5.5.3
- введена идентификация даты создания текущей версии ПО
- введены кнопки «Фильтр» на столбцах «Номер», «Дата», «Время» вкладки «Журнал», 
«Номер», «Дата/время» вкладки «Запуски/остановы», 
«Номер», «Дата/время», «Наименование события» вкладки «Пусковые характеристики»
- исправлен код нормальной (0)/ускоренной (1) записи 
- производится автоскрытия окна после загрузки и парсинга файла архива
- значения !###! заменены на 0

03.06.2012 Etalon_AVS ver 0.5.5.2
- откорректиована раскраска в Екселе
- откорректировано отображение изменения уставок
- путь по умолчанию ко всем сервисам - текущий каталог
- убран столбец ИЗМЕНЕН в дереве каталогов при просмотре файлов
- введены форматы 25 и 27
- устранена ошибка визуализации столбца с измененеим уставки
- не отображается год на вкладке с пусковыми характеристиками, если не выбраны параметры
- введена поддержка изменения уставок из нескольких регистров


31.05.2012 Etalon_AVS ver 0.5.5.1
- введено новое название программы
- введен новый формат - 26


29.05.2012 Etalon_AVS ver 0.5.5.0
- введено автоматическое задание пути к конфигам при запуске программы
- откорректирована раскраска по типам событий в журнале событий
- введен новый формат шапки архива

23.04.2012 Etalon_AV ver 0.5.5.0
- Улучшен контрол отображения графиков: 
	- Добавлена новая панел для выбора грфикв.
	- Возможность сокрытия панели выбора графиков.
	- Возможность гибкой настройки размеров и положения окна графика.
- Введена новая вкладка "Пусковые характеристики", которая содержит:
	- Графики пусковых характеристик.
	- Таблицу с пусковыми характеристиками.
	- Поддержка гибкого конфигурирования компонентов вкалдки.
- В парсер введен новый блок для обработки "Пусковых характеристик".

13.04.2012 Etalon_AV ver 0.5.5.0
- Все текстовые надписи теперь входят в столбец "Состояние" и не попадают в другие столбцы.

10.04.2012 Etalon_AV ver 0.5.5.0
- Файл Excel при экспорте теперь сохраняется по заданному пути.
  Именем сохраняемого файла является: .М-е№Куст№Скважина№
  где № - номер числовой.  

08.04.2012 Etalon_AV ver 0.5.5.0
- В среднем в 2 и более раза сокращено время загрузки файлов-архивов.
- Реализована кнопка в контекстном меню грида "Журнала событий" - Очистка фильтра.
- Оптимизирована печать всех таблиц: 
	- Таблицы не вылазят за края видимой области.
	- Скорректированы  размеры шрифтов.

05.04.2012 Etalon_AV ver 0.5.5.0
- Масштаб по оси Y на графиках теперь откладывается не с "0", а динамически, для большей визуальной
  детализации данных.
- Обновлены гриды сеток для старых форматов архивов(не смешанных).
- Исправлена ошибка неверного отображения номера скважины в таблице соединения архивов.
- Исправлена ошибка при нажатии на кнопку на вкладке графики "За весь период", которая заключалась в 
  исчезновении графика.
- Исправлены иные ошибки.

31.03.2012 Etalon_AV ver 0.5.5.0
- Реализовано сохранение "Уставок" из файла архива.
- Реализовано сохранение "Журнала событий" из файла архива.
  Именем сохраняемого файла является: Ж/У.М-е№Куст№Скважина№
  где № - номер числовой. Ж/У - тип данных "Журнал событий"/"Уставки".

26.03.2012 Etalon_AV ver 0.5.5.0
- Испрвалено зависание на компьютерах при открытии архива.
- Реализована кнопка на компоненте графика "Выбрать период" - позволяет выбрать период для отображения на графике.
- Реализована кнопка "За весть период" - позволяет показать график за весь период, т.е. сбрасывает показываемый диапозон.
- Кнопки продублированы в контекстном меню графика.
- Исправлены иные ошибки.

20.03.2012. Etalon_AV ver 0.5.5.0
- Модернизирован экспорт в формат Excel . Теперь весь экспорт идет из DataTable.
  т.о. экспорт отделен от представления(элементов GUI). 
- В меню добавлен пункт "Ассоциировать файлы журнала событий в реестре ОС", для ассоциации файлов
  архива с программой Etalon_AV.
- Реализована печать выбранной вкладки таблицы, включая все форматирование и колонтитулы с информацией об архиве.
  Журнал - печатается горизонтально, остальные таблицы - вертикально.
- Рализована сортировка по таблицы.
- Реализована селекция данных таблицы по условиям.
- Реализована мультисортировка по нескольким столбцам при удераживании клавиши CTRL. 

12.03.2012 Etalon_AV ver 0.5.5.0
- Модернизирован экспорт в формат .csv . Теперь весь экспорт идет из DataTable.
  т.о. экспорт отделен от представления(элементов GUI).

05.03.2012 Etalon_AV ver 0.5.5.0
- Внедрен новый компонент сетки Syncfusion Essential Grid.
- Реализовано горизонтальное динамическое объединение ячеек в компоненте сетки.

29.02.2012 Etalon_AV ver 0.5.5.0
- Исправлена ошибка "Ошибка формата заголовка.", возникающая если в феврале 29 дней, т.е 
  если текущий год является высокосным.

22.02.2012 Etalon_AV ver 0.5.5.0
- Устранена ошибка сбоя программы в случае необнаружения описания уставки в конфигурационном файле (25_003)
- Исправлено значение текстового параметра "Дистанционно" на "Телемеханика"
- Исправлена ошибка сбоя программы в случае открытия графиков с названием вкладки - Журнал событий

18.02.2012 Etalon_AV Surgut ver 0.5.5.0
- Изменен дизайн: добавлена вкладка обзора директорий, включающая:
	- Обзор директорий в виде древа котологов.
	- Просмотр содержимого директорий.
	- Выбор файла архива.
	- Промотр информации об файлах-архивах.
	- Сохранение путей экспотра в эксель, текущей папки для файла журнала,текущей папки для файла уставок.
	- Открытие папок по сохраненным путям экспотра в эксель, текущей папки для файла журнала,текущей папки для файла уставок.


------------------------------------------------------------------------------------------------------------------

27.12.2011 Etalon_AV ver 0.5.4.5
- Устранена ошибка, заключающаяся в отсутствии сброса выделения ячеек, оставшегося от   предыдущего поиска, при новом поиске.

26.12.2011 Etalon_AV ver 0.5.4.5
- Устранена ошибка зависания программы при начальном запуске с некорректным путем к конфигурациям
- Добавлены новые форматы данных:
    - Формат 19: IP адрес, например 192.168.1.1
    - Формат 20: Символьное название пользовательского профиля, например "пользов1".
    - Формат 21: 32 разрядное слово.
    - Формат 22: Номер скважины, состоящий из цифрового кода и буквы, например 123А.
    - Формат 23: "Двойная" температура, например 23/55.

11.12.2011 Etalon_AV ver 0.5.4.4
- Доработан "Расширенный поиск":
	- Теперь каждая дата и ячейка строки, которые соответствуют параметрам поиска выделяются цветом.
	- Добавлен пункт в контекстное меню, для снятия выделенных при поиске ячеек.

30.11.2011 Etalon_AV ver 0.5.4.4
- Исправлено падение программы, если таблица "Журнал событий" пуста.
- Исправлена ошибка при ненахождении конфигурационного файла.

29.11.2011 Etalon_AV ver 0.5.4.4
- Реализовано объединение архивов:
	- Создана новая форма для объединения архивов, вызываемая при нажатии на новую кнопку в ToolStrip.
	- Реализована автоматическая проверка архивов при выборе на их возможность объединения:
		- Архивы, которые возможно объединить окрашиваются в таблице одни цветом.
		- При выборе несовместных архивов кнопка "Ок", вызывающая процедуру объединения недоступна.
		- При выборе одного архива кнопка "Ок", вызывающая процедуру объединения недоступна.
		- При выборе 2 и более совместных архивов кнопка "Ок" становится доступна.
	- Введено новое расширение для объединенных архивов: ".EARH".	

19.11.2011 Etalon_AV ver 0.5.4.4
- Реализована сортировка по возрастанию и убыванию значений для всех столбцов таблицы "Журнал событий".
  Запускается при щелчке мышью на заголовке столбца.
- Добавлена возможность возможность сортировки столбцов с содержимым равным значению !###!
- Реализован "Расширенный поиск" по таблице "Журнал событий".
	- Поиск вызывается при щелчке правой кнокой на таблице.
	- Поиск возможен по всем столбцам таблицы.
	- Столбец для поиска определяется автоматически(береться столбец под курсором мыши)
	
10.11.2011 Etalon_AV ver 0.5.4.4 
- Убрано общее для всех графиков масштабирование по оси Y.
- Убран столбец маркер из парсинга и отображения.
- Перемещен столбец "Состояние" на место после столбца "Дата/Время".
- Усовершенствована процедура перехода график - столбец при зацикливании.

25.10.2011 Etalon_AV ver 0.5.4.4
- Скорректированы цвета пунктов выпадающего меню на вкладке "Графики", для более легкого восприятия.
- В контекстном меню, вызываемом на вкладке с графиками по двойному щелчку левой кнопкой мыши, добавлены
  точки пересечения всех параметров, доступных на вкладке "Параметры отображения" во вкладке "Журнал событий",
  даже если они не визуализированы в виде графиков.
- Добавлены текстовые лейблы, содержащие координаты точки пересечения линий графиков и линейки вертикальной.
- Добавлена вертикальная черная линейка на всех графиках, возникающая при двойном щелчке левой кнопки мыши и 
  при переходе из таблицы.
- Убрано масштабирование шрифтов при изменении размера графика: теперь шрифты всегда одного размера.
- Реализовано общее масштабирование всех графиков по осям.
- Реализовано контекстное меню, со выбором следующих возможностей:
	- Печать графика.
	- Сохранение как рисунка в несколько графических форматов.
	- Показывать значения в точках.
	- Копирование "скриншота" графиков в буфер обмена.
	- Отмена последнего масштабирования.
	- Отмена всего масштабирования.
- Реализован множественный график: на одном графике можно просматривать множество графиков.
  добавление и удаление графиков происходит динамически.
- Обновлена версия компонента ZedGraph.

------------------------------------------------------------------------------------------------------------------

23.09.2011 Etalon_AV ver 0.5.4.3
- Улучшена производительность виртуальной таблицы при раскраске ячеек состояния.
- Исправлено неверное отображение версии ПО устройства было: 101 ; 4008, стало: 1,1 ; 40,08

23.09.2011 Etalon_AV ver 0.5.4.3
- Добавлена сортировка значений по столбцам, для таблиц во вкладке "Журнал событий".
- Добавлено контекстное меню для виртуальной таблицы во вкладке "Журнал событий".
- Обработана ошибка, возникающяя при выборе частичного экспорта/печати при невыбранной строке.
- Исправлена ошибка возникающая при частичном экспорте выделенных во вкладке "Журнал событий" таблиц 
  "Журнал событий" или "Измерения" строк (в зависимости от типа архива), при которой после частичного экспорта,
  полный экспорт и печать происходили лишь с выделенными данными, а не со всеми.
- Обработаны иные возникащие ошибки.

20.09.2011 Etalon_AV ver 0.5.4.3
- Таблицы во вкладке "Журнал событий" переведены в виртуальный режим работы.
- Таблицы во вкладке "Журнал событий" теперь не "тормозят" при прокрутке.
- Реализовано идентичное прежнему, форматирование данных в виртуальном режиме для таблиц во вкладке "Журнал событий".
- Исправлено падение программы при экспорте и печати, при наличии вкладки "Электросчетчик"
- Устранены лишние столбцы в таблицах всех вкладок.

------------------------------------------------------------------------------------------------------------------

07.09.2011 Etalon_AV ver 0.5.4.2
- Введена кнопка в окне главной формы и соответсвующая функция поиска строки измерений по дате
- Введено текстовое поле в окне главной формы, маскируемое по типу "дата/время"
- Введена функция перехода от выделенной строки таблицы измерений ко графику
- Введена функция создания точки выделения на графике по дате выделенного измерения
- Усовершенствовано управление фокусом при переводе от графика к таблице или при поиске строки (выделенная строка становится посередине экрана)
- Убрана возможность сортировки данных в столбцах измерений
- Автоматическое управление кнопкой поиск, окном ввода данных для поиска и кнопкой перехода "график-таблица" при наличии или отсутствии данных из архивов

26.08.2011 Etalon_AV ver 0.5.4.1
- Введена функция выделения точки на графике измерений
- Введена функция расчета координат выделенной точки на графике
- Введена функция перехода от графика к таблице измерений смешанного архива на позицию по времени, соответсвующему времени выделенной точки

23.08.2011 Etalon_AV ver 0.5.4.1
- Введена возможность настройки отображения столбцов измерений в смешанных архивах

20.08.2011 Etalon_AV ver 0.5.4.1
- Устранен лишний столбец при выводе Журнала событий
- Убраны из построения графиков измерения вида !###!
- Убрана дробная часть секунд из подписи оси и всплывающей подсказки
- Добавлена сетка для повышения нагладности графиков

02.01.2011 Etalon_AV ver 0.5.4
- В конфигурацию RS232C добавлены сигналы RTS и DTR
 
02.01.2011 Etalon_AV ver 0.5.3
- Удален аппаратный контроль RS232C

21.11.2010 Etalon_AV ver 0.5.2
- Исправлена загрузка и отрисовка одной записи электросчетчика
- Исправлено закрытие архива
- Убраны точки в "голубых" событиях
- Установлено ограничение масштабирования графиков
- Исправлено исчезновение линии графика
- Исправлено отображение бара обработки данных архива.

07.09.2010 Etalon_AV ver 0.5.0
- Убраны точки после системных сообщений в таблице смешанного журнала.
- Все сообщения смешанного архива центрованы по середине
- Возможно выгружать из программы не текущие файл-образы  
- Добавлены форматы 13, 14, 15, 16, 17, 18
- Добавлено равномерное распределение точек на графике с одинаковым временем метки
- Добавлен раздел электросчетчика.


04.01.2010 Etalon_AV ver 0.4.1
- Исправлена подпись к графику быстрых архивов
- Добавлено применение к графикам быстрых архивов коэф. из блока уставок. 

02.01.2010 Etalon_AV ver 0.4.0
- Добавлена возможность просматривать "быстрые архивы" в файл-образах

14.12.2009 Etalon_AV ver 0.3.4
- Добавлена проверка удаления листов пустого проекта Excel (Ошибка создания объекта Excel на некоторых компьютерах из-за удаления единственного листа в книге документа)
- Скорректирована на текущее время ось Х в окне отображения графика (раньше отсчет начинался с 1899 года при пустом графике)

12.10.2009 Etalon_AV ver 0.3.3
- Корректировка текстовых опечаток.
- Исправление необработанной ошибки при разборе файл-образов без данных для графиков.
  
14.06.2009 Etalon_AV ver 0.3.2
- Исправлено отсутствие графиков для смешанного архива. 
	Графики отсутствовали если в превой строке числовых параметров таблицы были некорректно считанные значения из файл-образа.

28.05.2009 Etalon_AV ver 0.3.1
- Добавлена функция очистки памяти УСИ

30.03.2009 Etalon_AV ver 0.3.0
- Добавлена печать выделенной области "Журнала событий"
- Добавлена функция конвертирования выделенной области "Журнала событий"
- Добавлена обработка ошибок возникающих исключений.

26.02.2009 Etalon_AV ver 0.2.2
- Изменена функция конвертирования в Excel. После преобразования открывается Excel с полученными данными, сохранение файла из программы.
- Исправлена проблема вылета приложения при вторичного чтения с УСИ.
- В имя файла архива добавлена информация о месторождении, кусте и скважине.

13.02.2009 Etalon_AV ver 0.2.0
- Добавлена возможность запуска приложения с параметром коммандной строки(в качестве параметра открываемый файл-образ)
- Добавлена возможность чтения файл-образа из УСИ.
- Создан инсталляционный пакет.
- Добавлена возможность конвертирования таблиц в формат Excel.

23.12.2008 Etalon_AV ver 0.1.7
- Исправлено необработанное исключение при открытии файл-образа с некорректными данными в блоках. 

15.12.2008 Etalon_AV ver 0.1.6
- Ускорение разбора и отображения файл-образа

25.07.2008 Etalon_AV ver 0.1.5.0
- Исправлена проблема сортировки при выборе заголовка таблицы

18.07.2008 Etalon_AV ver 0.1.4.0
- исправлена ошибка преобразования в csv формат
- добавлена возможность печати части отчета

26.06.2008 Etalon_AV ver 0.1.3.0
- исправлена ошибка разбора смешанного архива, при которой приложение выдавало необработанную ошибку

21.05.2008 Etalon_AV ver 0.1.2.0
- исправлено отображение в разделе изменения уставок
- исправлена ошибка при применении некорректной конфигурации
- добавлена информация в сообщении о выгружаемом из памяти образе
- добавлена память последнего пути загрузки файл-образа.

03.03.2008 Etalon_AV ver 0.1.1.0
- автоматическая очистка поля ввода имени файла в диалогах выбора/записи
- исправлена ошибка поиска конфигурации.

------------------------------------------------
28.02.2008 Etalon_AV ver 0.1.0.0